/* This is the most basic form of a weapon. We will make a sword, set
   it's weapon class, it's value and weight.   -Locksley */

inherit "obj/weapon";

reset(arg) {

        ::reset(arg);
        if ( arg ) return;

        set_name("sword");  /* This sets the id of the weapon. This is useful
                               in such cases as if(!present("sword")). It
                               can also be set to Sword, SworD, or SWORD etc.
                               That is useful for such things as quest weapons
                               etc... */

        set_alias("sword"); /* This sets the alias of the weapon. The alias
                               is used whenever you wish to call an action on
                               the object. i.e. 'wield sword' 'unwield sword'
                               'drop sword' 'sell sword' etc. */

        set_alt_name("longsword");  /* This gives the weapon an alternative
                                       alias. This can also be used to call
                                       an action on the object. i.e. 'wield
                                       longsword' 'sell longsword' etc. */

        set_short("a longsword");   /* This sets the short description which
                                       is seen in the inventory command and
                                       whenever another player looks at you */

        set_long("This is a very well crafted longsword.\n"+
                 "It looks very powerful.\n");

                        /* This sets the long description which is seen 
                           whenever the weapon is looked at. The \n calls
                           for a newline and the + is used when the description
                           has more than one line. */
        
        set_class(16);  /* This sets the weapon class of the weapon. The class
                           can only range between 1 and 20. 20 being the most
                           powerful weapon. 19 and 20 should be very rare and
                           if they are used they should be very hard to obtain */

        set_weight(3);  /* Sets the weight of the weapon. Use good judgement
                           here. Obviously a dagger or a knife will not be as
                           heavy as a longsword or broadsword. */

        set_value(460); /* This sets the value of the weapon. The value is the
                           amount that the player gets for the sale of the object
                           and the price that it costs to buy is twice this value.
                           If the value is set over 2000 the object will be auto-
                           matically destructed upon sale. The shop NEVER pays
                           more than 1000 coins for ANY object. So even if you set
                           the value to 2000 the player will only get 1000 coins */

        }
